Notification
Esta página no está disponible en español. Se muestra la versión en inglés.
Get workspace notification channel config
Returns enabled status for each notification channel of the workspace. Secrets (webhook_url, bot_token) are never returned. Accessible by workspace-admin and super roles.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/workspaces/0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f/notification-channels"{ "slack": { "enabled": true, "configured": true }, "email": { "enabled": true }, "telegram": { "enabled": true, "configured": true }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}